dosfstools consists of the programs mkfs.fat, fsck.fat and fatlabel to create,
check and label file systems of the FAT family.  The dosfstools are licensed
under the GNU GPL version 3 or later. See the file `COPYING` for details.


### Build Requirements

dosfstools recommends libudev. It is used in mkfs.fat to collect additional
information about the device to format in order to refuse potentially unsafe
operations without additional confirmation.


### Installing

dosfstools are built using an autoconf/automake system, so the standard method
applies:

```
./configure
make
make install
```

You need to have superuser privileges in order to install into the standard
system wide locations.

The `./configure` script has an option `--enable-compat-symlinks` that will
configure the build to symlink older names of the tools to the current ones on
installation. These are `dosfsck`, `fsck.msdos` and `fsck.vfat` for `fsck.fat`,
`mkdosfs`, `mkfs.msdos` and `mkfs.vfat` for `mkfs.fat` and `dosfslabel` for
`fatlabel`.


### Building from the VCS repository

If you are working directly from a git clone of the official dosfstools
repository, you will find that you can not run `./configure` straight away
because it, like other autogenerated files for the build system, is not included
in the repository.

First, autoconf and automake have to be installed.  Then you can run `autoreconf
-i` to generate all the required files.
